Subject: Re: Support for DDWARF-2 debug info? (on Cygwin)
From: Richard Henderson <[email-masked]>
To: Brian Ford <[email-masked]>
Cc: Nick Clifton <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 17 Jan 2003 14:55:10 -0800

On Thu, Jan 16, 2003 at 09:18:20AM -0600, Brian Ford wrote:
> I am still consulting the DWARF2 spec to see if gcc and gas are
> correct in generating VMA addresses.  If so, I guess I have to fix the
> dwarf parsing code in bfd and gdb to subtract the section base VMA.

No, dwarf specifies a section-relative address.  The issue is that,
with the exception of IA-64, no target has section-relative relocations.
So instead we force the VMA to zero such that the VMA address and
the section offset are identical.

If you cannot do this with PE, then you have to add new relocs.
There's no other way around it.

r~

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/